This version of Nextcloud is not compatible with PHP 7.1.
You are currently running 7.1.23-nmm1.